#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	spice
Version		:	0.15.2
Release		:	16.2.0.rel%{?dist}
Summary		:	Implements the SPICE protocol

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.spice-space.org/
 

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	spice-protocol
BuildRequires	:	gst-plugins-base
BuildRequires	:	opus-devel
BuildRequires	:	orc-devel
#-----------------------------------------------------------------------------
%description
The Simple Protocol for:
Independent Computing Environments (SPICE)
is a remote display system built for virtual
environments which allows you to view a computing
'desktop' environment not only on the machine
where it is running, but from anywhere on the
Internet and from a wide variety of machine
architectures.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

#=============================================================================
%package		server
Summary		:	Implements the server side of the SPICE protocol
	
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description		server
The Simple Protocol for:
Independent Computing Environments (SPICE)
is a remote display system built for virtual
environments which allows you to view a computing
'desktop' environment not only on the machine
where it is running, but from anywhere on the
Internet and from a wide variety of machine
architectures.

This package contains the run-time libraries for
any application that wishes to be a SPICE server.

#-----------------------------------------------------------------------------
%files			server
%defattr(-,root,root,-)
%license COPYING
%doc README CHANGELOG.md
%{_libdir}/lib%{name}-server.so.1*
 
#=============================================================================
%package		server-devel
Summary		:	Header files, libraries and development documentation for spice-server
	
#-----------------------------------------------------------------------------
Requires	:	%{name}-server		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		server-devel
This package contains the header files,
static libraries and development documentation
for spice-server. If you like to develop programs
using spice-server, you will need to
 install spice-server-devel.

#-----------------------------------------------------------------------------
%files			server-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-server/%{name}.h
%{_includedir}/%{name}-server/%{name}-*.h
%{_libdir}/lib%{name}-server.so
%{_libdir}/pkgconfig/%{name}-server.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-smartcard				\
	--disable-client				\
	--enable-lz4					\
	--enable-gstreamer=1.0				\
	--disable-celt051				\
	--disable-werror

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
